## How to use this LaTeX class

Clone this repo into your `TEXMF_LOCAL` directory (on Debian/Ubuntu, that is
usually `/usr/local/texlive/texmf-local/tex/latex/`): 

```
$ cd /usr/local/texlive/texmf-local/tex/latex
$ git clone https://git.solarchemist.se/latex/uuthesistemplate.git
```

Don't forget to run `texhash`, and you should be all set.


## The LuaLaTeX UU thesis class

This is my own rewrite of [the official (but unsupported) XeLaTeX class for PhD thesis at Uppsala university](https://libguides.ub.uu.se/avhandling/latex).

To use it, start your main tex file with:

```
\RequirePackage{luatex85}
\documentclass{LuaUUThesis}
[... the rest of your document ...]
```

You will have to compile your document using `lualatex`, like this:
```
$ lualatex thesis.tex
```

But you probably use a nice makefile or something for that :-)


## The XeLaTeX UU thesis class

I have made some slight alterations to this class compared to the original UU class. Use it like this:

``` 
\documentclass{UUThesisTemplate}
```

Compile your document with `xelatex`.


## Notes and references

+ [LaTeX hack: Adding a custom .cls to your search path](http://matsguru.com/latex-hack-adding-a-custom-cls-to-your-search-path/)
+ [How to have a local package override default package](https://tex.stackexchange.com/questions/8357/how-to-have-local-package-override-default-package/8359#8359)
+ [How do I add a .sty file to my MacTeX/TeXShop installation?](https://tex.stackexchange.com/questions/10252/how-do-i-add-a-sty-file-to-my-mactex-texshop-installation)
+ [Undefined control sequence error for LuaLaTeX, TeX.SE](https://tex.stackexchange.com/questions/315025/lualatex-texlive-2016-standalone-undefined-control-sequence)
+ [Avhandlingsstöd Uppsala universitet, XeLaTeX mall](https://libguides.ub.uu.se/avhandling/latex)
